------------------------------------------------------------------------------------
--Name:			200310[简体征服][任务脚本]内功副本剧情表现
--Creator:		陈莺
--Created:		2020/03/06
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>18
-- /chgmap 10764 176 274
-- 高级副本剧情表现：
-- 1、地图内刷出18个NPC
-- 2、摄像头绕场一周
-- 3、出现NPC半身像对话：此乃老夫的NewMoonStrategy，若你能破此阵，好礼必定双手奉上。



-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(47,46)
------------------------------------------------------------
local hero = CppScriptMgr:QueryHero()
hero:SetHide(1)
hero:SetPos(47,46)
CppScriptMgr:AddEffect("WarFlagEscortBegin",33,38);
local player1 = CppScriptMgr:AddSimplePlayer(1060067, 33,38, "NewMoonOfficer1",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",33,32); 
local player2 = CppScriptMgr:AddSimplePlayer(1060067, 33,32, "NewMoonOfficer2",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",35,28); 
local player3 = CppScriptMgr:AddSimplePlayer(1060067, 35,28, "NewMoonOfficer3",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",40,26); 
local player4 = CppScriptMgr:AddSimplePlayer(1060067, 40,26, "NewMoonOfficer4",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",46,26); 
local player5 = CppScriptMgr:AddSimplePlayer(1060060, 46,26, "NewMoonOfficer",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",49,23); 
local player6 = CppScriptMgr:AddSimplePlayer(1060060, 49,23, "NewMoonOfficer",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",54,28);
local player7 = CppScriptMgr:AddSimplePlayer(1060061, 54,28, "NewMoonOfficer7",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",57,33); 
local player8 = CppScriptMgr:AddSimplePlayer(1060061, 57,33, "NewMoonOfficer8",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",60,40); 
local player9 = CppScriptMgr:AddSimplePlayer(1060062, 60,40, "NewMoonOfficer9",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",63,45); 
local player10 = CppScriptMgr:AddSimplePlayer(1060062,63,45, "NewMoonOfficer10",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",62,51); 
local player11 = CppScriptMgr:AddSimplePlayer(1060063,62,51, "NewMoonOfficer11",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",59,56); 
local player12 = CppScriptMgr:AddSimplePlayer(1060063,59,56, "NewMoonOfficer12",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",55,61);
local player13 = CppScriptMgr:AddSimplePlayer(1060063, 55,61, "NewMoonOfficer13",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",50,62);  
local player14 = CppScriptMgr:AddSimplePlayer(1060064, 50,62, "NewMoonOfficer14",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",42,57);  
local player15 = CppScriptMgr:AddSimplePlayer(1060064, 42,57, "NewMoonOfficer15",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",34,53);  
local player16 = CppScriptMgr:AddSimplePlayer(1060065, 34,53, "NewMoonOfficer16",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",30,46);  
local player17 = CppScriptMgr:AddSimplePlayer(1060066, 30,46, "NewMoonOfficer17",0,1)
CppScriptMgr:AddEffect("WarFlagEscortBegin",33,42);  
local player18 = CppScriptMgr:AddSimplePlayer(1060066, 33,42, "NewMoonOfficer18",0,1)

--出半身像对话
CppScriptMgr:NpcCallOut("This is my New Moon Strategy. If you can break through it, I will give you great reward.\n\n\n\n                                     Press ESC to skip the story.", 5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc191", 150, 430, "MysterySage", 250, 655)
CppScriptMgr:WaitMilSec(1000)

--绕场一周
hero:SetCtrlMapView(1)
hero:JumpTo(40,52)
CppScriptMgr:WaitMilSec(1500)
hero:JumpTo(38,36)
CppScriptMgr:WaitMilSec(1500)
hero:JumpTo(50,31)
CppScriptMgr:WaitMilSec(1500)